RequestForwarder (Grails 6.0.0)

Package: grails.artefact.controller.support

## [Groovy] Trait RequestForwarder

- grails.artefact.controller.support.RequestForwarder

- All Implemented Interfaces and Traits:
    WebAttributes

      @groovy.transform.Trait
      @groovy.transform.CompileStatic
      trait RequestForwarder
      extends java.lang.Object
      implements WebAttributes

  A Trait for classes that forward the request

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private LinkGenerator` | `linkGenerator` |
    `private UrlConverter` | `urlConverter` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private java.lang.String` | `convert(java.lang.String value)`
    `` | `java.lang.String` | `forward(java.util.Map params)` Forwards a request for the given parameters using the RequestDispatchers forward method
    `` | `private LinkGenerator` | `lookupLinkGenerator()`
    `` | `void` | `setUrlConverter(UrlConverter urlConverter)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private LinkGenerator linkGenerator

    - #### private UrlConverter urlConverter

  - ### Method Detail

    - #### private java.lang.String convert(java.lang.String value)

    - #### @groovy.transform.Generated java.lang.String forward(java.util.Map params)

      Forwards a request for the given parameters using the RequestDispatchers forward method

      Parameters:
        `params` - The parameters
      Returns:
        The forwarded URL

    - #### private LinkGenerator lookupLinkGenerator()

    - #### @groovy.transform.Generated @org.springframework.beans.factory.annotation.Autowired(required: false) void setUrlConverter(UrlConverter urlConverter)